pdf-devel
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[pdf-devel] libgnupdf/prmgt generate-coverage-report


From: Jose E. Marchesi
Subject: [pdf-devel] libgnupdf/prmgt generate-coverage-report
Date: Wed, 25 Jun 2008 20:26:15 +0000

CVSROOT:        /cvsroot/pdf
Module name:    libgnupdf
Changes by:     Jose E. Marchesi <jemarch>      08/06/25 20:26:15

Added files:
        prmgt          : generate-coverage-report 

Log message:
        new script to generate html coverage reports

CVSWeb URLs:
http://cvs.savannah.gnu.org/viewcvs/libgnupdf/prmgt/generate-coverage-report?cvsroot=pdf&rev=1.1

Patches:
Index: generate-coverage-report
===================================================================
RCS file: generate-coverage-report
diff -N generate-coverage-report
--- /dev/null   1 Jan 1970 00:00:00 -0000
+++ generate-coverage-report    25 Jun 2008 20:26:07 -0000      1.1
@@ -0,0 +1,37 @@
+#!/bin/sh
+# generate-coverage-report -- Generate a nice html report of code coverage
+
+# Copyright (C) 2008 Free Software Foundation, Inc.
+
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.
+
+# Check parameters
+if test $# != 1; then
+  echo "Usage: generate-coverage-report OUTPUT_DIRECTORY"
+  exit 1
+fi
+
+output_dir=$1
+
+# Invoke lcov to generate the info file
+lcov -b ../src -d ../src -c -o ../src/libgnupdf.info
+genhtml -o $output_dir ../src/libgnupdf.info
+
+# Cleanup
+rm ../src/libgnupdf.info
+
+# Bye
+exit 0
+
+# End of generate-coverage-report




reply via email to

[Prev in Thread] Current Thread [Next in Thread]